Skip to main content
GET
/
v1
/
phone-numbers
/
search
Search available phone numbers
curl --request GET \
  --url https://api.revdesk.com/v1/phone-numbers/search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "phone_number": "<string>",
      "locality": "<string>",
      "region": "<string>",
      "features": [
        "<string>"
      ]
    }
  ],
  "meta": {
    "page_size": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

country
string
default:US
required
Required string length: 2
area_code
string
Pattern: ^\d{3}$
contains
string
in_region
string
limit
integer
default:20
required
Required range: 1 <= x <= 50
number_type
enum<string>
default:local
required
Available options:
local,
tollFree,
mobile,
national

Response

Success

data
object[]
required
meta
object
required